
QGIS Application - Bug report #18144

Misleading UI on multiple layer vector dialog

2018-02-19 11:05 AM - Johannes Kroeger

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26037

Description

1. I select a file with multiple layers inside in the Data Source Manager

2. I click "add"

3. right after add.png

4. I think that the first layer is selected as there is some blue in that line so I click Ok.

5. The dialog closes and no layer is added.

Instead I needed to explicitly select a layer (which is GOOD but not communicated well). If I click on one, I get a "proper" dark-blue

selection (really selected.png).

Suggestions:

Do not highlight anything in the initial state of the dialog

and

Disable the "OK" button until at least one layer is selected.

History

#1 - 2018-03-06 02:01 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.99(master)

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-22 09:29 PM - Johannes Kroeger

3.5-master exhibits the same behaviour as described in the initial report. Bug is still valid.

#4 - 2019-01-22 10:31 PM - Giovanni Manghi
- Affected QGIS version changed from 2.99(master) to 3.5(master)

#5 - 2019-02-24 10:23 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

really selected.png 32.1 KB 2018-02-19 Johannes Kroeger

right after add.png 31.7 KB 2018-02-19 Johannes Kroeger
